using System;
using System.Web.Optimization;

namespace jQWidgets_Hot_Towel_SPA
{
    public class BundleConfig
    {
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.IgnoreList.Clear();
            AddDefaultIgnorePatterns(bundles.IgnoreList);

            bundles.Add(
              new ScriptBundle("~/scripts/vendor")
                .Include("~/scripts/jquery-{version}.js")
                .Include("~/scripts/knockout-{version}.debug.js")
                .Include("~/scripts/toastr.js")
                .Include("~/scripts/Q.js")
                .Include("~/scripts/breeze.debug.js")
                .Include("~/scripts/bootstrap.js")
                .Include("~/scripts/moment.js")
                .Include("~/scripts/jqwidgets/jqxcore.js")
                .Include("~/scripts/jqwidgets/jqxdata.js")
                .Include("~/scripts/jqwidgets/jqxknockout.js")
                .Include("~/scripts/jqwidgets/jqxbuttons.js")
                .Include("~/scripts/jqwidgets/jqxdatatable.js")
                .Include("~/scripts/jqwidgets/jqxdropdownlist.js")
                .Include("~/scripts/jqwidgets/jqxinput.js")
                .Include("~/scripts/jqwidgets/jqxlistbox.js")
                .Include("~/scripts/jqwidgets/jqxscrollbar.js")
              );

            bundles.Add(
              new StyleBundle("~/Content/css")
                .Include("~/Content/ie10mobile.css")
                .Include("~/Content/bootstrap.css")
                .Include("~/Content/bootstrap-responsive.css")
                .Include("~/Content/durandal.css")
                .Include("~/Content/toastr.css")
                .Include("~/Content/app.css")
                .Include("~/Content/jqwidgets/jqx.base.css")
                .Include("~/Content/jqwidgets/jqx.bootstrap.css")
              );
        }

        public static void AddDefaultIgnorePatterns(IgnoreList ignoreList)
        {
            if (ignoreList == null)
            {
                throw new ArgumentNullException("ignoreList");
            }

            ignoreList.Ignore("*.intellisense.js");
            ignoreList.Ignore("*-vsdoc.js");

            //ignoreList.Ignore("*.debug.js", OptimizationMode.WhenEnabled);
            //ignoreList.Ignore("*.min.js", OptimizationMode.WhenDisabled);
            //ignoreList.Ignore("*.min.css", OptimizationMode.WhenDisabled);
        }
    }
}